Get Changeset Status by Name
get
/pdc/changeset/status/by-names
Returns the status of a changeset by its name.
Request
Query Parameters
-
names(required): array[string]
Specifies one or more changeset names for which to retrieve status.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The request was processed successfully.
Root Schema : ChangeSetStatusEnvelope
Type:
objectContainer for a changeset status report.
Show Source
-
changeSetStatusReport: object
ChangeSetStatusReport
Report containing changeset status details and warnings.
Nested Schema : ChangeSetStatusReport
Type:
objectReport containing changeset status details and warnings.
Show Source
-
changeSets: array
changeSets
Lists the changesets that PDC found and processed.
-
warning: string
Describes requested changesets that were invalid or not found.
Nested Schema : changeSets
Type:
arrayLists the changesets that PDC found and processed.
Show Source
-
Array of:
object ChangeSet
Status information for a single changeset.
Nested Schema : ChangeSet
Type:
objectStatus information for a single changeset.
Show Source
-
changeSetId: string
Identifies the changeset uniquely.Example:
3810 -
changeSetName: string
Specifies the changeset name.Example:
MIGRATION_CHANGESET_SYNC_EVENT -
changeSetStatus: string
Reports the changeset’s overall processing status.Example:
PENDING -
transformations: array
transformations
Provides status details for each transformation that PDC performed for the changeset.
Nested Schema : transformations
Type:
arrayProvides status details for each transformation that PDC performed for the changeset.
Show Source
-
Array of:
object Transformation
Status information for a changeset transformation job.
Nested Schema : Transformation
Type:
objectStatus information for a changeset transformation job.
Show Source
-
jobId: integer
Identifies the transformation job.Example:
14233 -
jobStatus: string
Reports the transformation job’s current status.Example:
DISPATCHED -
type: string
Specifies the target system or transformation type, such as ECE, BRE, or RRE.Example:
ECE
Examples
The following example shows how to get the status of change sets by name by submitting a GET request on the REST resource using cURL. For more information, see Use cURL.
curl -X GET 'http://hostname:port/pdc/changeset/status/by-names?names=ieChangeSetTue%20Mar%2017%2000%3A54%3A34%20PDT%202026,myname'
Example of Response Body
If successful, the response code 200 is returned along with a changeSetStatusReport in JSON format containing changeset IDs, names, statuses, transformation details, and any warnings:
{
"changeSetStatusReport": {
"changeSets": [
{
"changeSetId": "39158",
"changeSetName": "ieChangeSetTue Mar 17 00:54:34 PDT 2026",
"changeSetStatus": "PENDING",
"transformations": [
{
"jobId": 39143,
"jobStatus": "COMPLETED",
"type": "BRE"
},
{
"jobId": 39651,
"jobStatus": "DISPATCHED",
"type": "ECE"
},
{
"jobId": 39709,
"jobStatus": "COMPLETED",
"type": "RRE"
}
]
}
],
"warning": "Warning: The following ChangeSet Name(s) were invalid or not found: myname"
}
}